interface Lock {
    name: string;
    mode: string;
    release(): void;
}
interface AbortSignalEventTargetAddOptions {
    once: boolean;
}
interface AbortSignalEventTarget {
    addEventListener: (name: 'abort', listener: () => void, options?: AbortSignalEventTargetAddOptions) => void;
    removeEventListener: (name: 'abort', listener: () => void, options?: AbortSignalEventTargetAddOptions) => void;
    aborted?: boolean;
}
interface AbortSignalEventEmitter {
    once: (name: 'abort', listener: () => void) => void;
    off: (name: 'abort', listener: () => void) => void;
}
declare type AbortSignalAny = AbortSignalEventTarget | AbortSignalEventEmitter;
interface RequestOptions {
    mode?: 'exclusive' | 'shared';
    ifAvailable?: boolean;
    steal?: boolean;
    signal?: AbortSignalAny;
}
declare type LockCallback = (lock?: Lock | null) => void;
declare function request(name: string, options?: RequestOptions | LockCallback, callback?: LockCallback): Promise<any>;
declare function query(): any;
declare const _default: {
    request: typeof request;
    query: typeof query;
    version: string;
};
export = _default;
